# action_param.h File Reference

Template File. More...

`#include <synfig/string.h>`
`#include <synfig/canvas.h>`
`#include <ETL/handle>`
`#include <ETL/stringf>`
`#include <ETL/trivial>`
`#include <map>`
`#include <list>`
`#include <synfig/layer.h>`
`#include <synfig/valuenode.h>`
`#include <synfigapp/value_desc.h>`
`#include <synfig/value.h>`
`#include <synfig/activepoint.h>`
`#include <synfig/valuenode_animated.h>`
`#include <synfig/keyframe.h>`
`#include <synfig/waypoint.h>`
`#include "editmode.h"`

Go to the source code of this file.

## Namespaces

namespace | synfig
namespace | synfigapp
namespace | synfigapp::Action

## Classes

class | synfigapp::Action::Param
| Action Parameter. More...
class | synfigapp::Action::ParamList
class | synfigapp::Action::ParamDesc
class | synfigapp::Action::ParamVocab

## Functions

bool | synfigapp::Action::candidate_check (const ParamVocab &param_vocab, const ParamList &param_list)

## Detailed Description

Template File.

$Id$